
Installer - Bug #36709

Set ANSIBLE_PERMISSION_CLASSES as empty list to allow syncing collection repos on capsule

without RBAC access to Galaxy endpoints

08/29/2023 05:45 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 3.8.0   

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/304,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/458

  

Description

Set ANSIBLE_PERMISSION_CLASSES as empty list to allow syncing collection repos on capsule without RBAC access to Galaxy

endpoints.

This will need to set to [] in /etc/pulp/settings.py

Related issues:

Has duplicate Installer - Feature #36769: Add ANSIBLE_PERMISSION_CLASSES supp... Duplicate

Associated revisions

Revision e981fbc4 - 08/30/2023 06:06 PM - Ewoud Kohl van Wijngaarden

Refs #36709 - Expose ANSIBLE_PERMISSION_CLASSES setting

Revision 5f61c86b - 09/18/2023 02:37 PM - Ewoud Kohl van Wijngaarden

Fixes #36709 - Set ANSIBLE_PERMISSION_CLASSES to empty list

This allows syncing collection repos on capsule without RBAC access to

Galaxy endpoints.

History

#1 - 08/29/2023 07:03 PM - Ian Ballou

- Target version set to 3.8.0

#2 - 08/30/2023 09:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/304 added

#3 - 08/30/2023 04:26 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/305 added

#4 - 08/30/2023 04:54 PM - Samir Jha

- Pull request deleted (https://github.com/theforeman/puppet-pulpcore/pull/305)

#5 - 09/18/2023 02:03 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/458 added

#6 - 09/18/2023 02:37 PM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#7 - 09/18/2023 03:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|5f61c86bb3db59929c1e37247ee9bf9266caa9e9.

#8 - 09/19/2023 03:08 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes

- Fixed in Releases 3.8.0 added

- Fixed in Releases deleted (3.9.0)

#9 - 09/22/2023 01:36 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #36769: Add ANSIBLE_PERMISSION_CLASSES support for pulp_ansible regression added
